eID middleware |

# be.portugal.eid.PTEID_Exception Class Reference

Base class for the PTEID Exceptions. More...

Inheritance diagram for be.portugal.eid.PTEID_Exception:

List of all members.

## Public Member Functions
synchronized void | delete ()
| PTEID_Exception (int lError)
| Constructor.
int | GetError ()
| Return the error code.
## Protected Member Functions
| PTEID_Exception (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_Exception obj)
## Protected Attributes
boolean | swigCMemOwn

## Detailed Description

Base class for the PTEID Exceptions.

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_Exception.PTEID_Exception | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

References be.portugal.eid.PTEID_Exception.swigCMemOwn.

be.portugal.eid.PTEID_Exception.PTEID_Exception | ( | int | lError | ) |

Constructor.

Parameters:

  | lError | error code

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_Exception.delete | ( |  | ) |

Reimplemented in be.portugal.eid.PTEID_ExBadTransaction, be.portugal.eid.PTEID_ExBadUsage, be.portugal.eid.PTEID_ExCardBadType, be.portugal.eid.PTEID_ExCardChanged, be.portugal.eid.PTEID_ExCardTypeUnknown, be.portugal.eid.PTEID_ExCertNoCrl, be.portugal.eid.PTEID_ExCertNoIssuer, be.portugal.eid.PTEID_ExCertNoOcsp, be.portugal.eid.PTEID_ExCertNoRoot, be.portugal.eid.PTEID_ExCmdNotAllowed, be.portugal.eid.PTEID_ExCmdNotSupported, be.portugal.eid.PTEID_ExDocTypeUnknown, be.portugal.eid.PTEID_ExFileTypeUnknown, be.portugal.eid.PTEID_ExNoCardPresent, be.portugal.eid.PTEID_ExNoReader, be.portugal.eid.PTEID_ExNotAllowByUser, be.portugal.eid.PTEID_ExParamRange, be.portugal.eid.PTEID_ExReaderSetChanged, be.portugal.eid.PTEID_ExReleaseNeeded, be.portugal.eid.PTEID_ExUnknown, and be.portugal.eid.PTEID_ExUserMustAnswer.

References be.portugal.eid.PTEID_Exception.swigCMemOwn.

void be.portugal.eid.PTEID_Exception.finalize | ( |  | ) | `[protected]`

Reimplemented in be.portugal.eid.PTEID_ExBadTransaction, be.portugal.eid.PTEID_ExBadUsage, be.portugal.eid.PTEID_ExCardBadType, be.portugal.eid.PTEID_ExCardChanged, be.portugal.eid.PTEID_ExCardTypeUnknown, be.portugal.eid.PTEID_ExCertNoCrl, be.portugal.eid.PTEID_ExCertNoIssuer, be.portugal.eid.PTEID_ExCertNoOcsp, be.portugal.eid.PTEID_ExCertNoRoot, be.portugal.eid.PTEID_ExCmdNotAllowed, be.portugal.eid.PTEID_ExCmdNotSupported, be.portugal.eid.PTEID_ExDocTypeUnknown, be.portugal.eid.PTEID_ExFileTypeUnknown, be.portugal.eid.PTEID_ExNoCardPresent, be.portugal.eid.PTEID_ExNoReader, be.portugal.eid.PTEID_ExNotAllowByUser, be.portugal.eid.PTEID_ExParamRange, be.portugal.eid.PTEID_ExReaderSetChanged, be.portugal.eid.PTEID_ExReleaseNeeded, be.portugal.eid.PTEID_ExUnknown, and be.portugal.eid.PTEID_ExUserMustAnswer.

static long be.portugal.eid.PTEID_Exception.getCPtr | ( | PTEID_Exception | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_Exception.swigCPtr.

int be.portugal.eid.PTEID_Exception.GetError | ( |  | ) |

Return the error code.

## Member Data Documentation

boolean be.portugal.eid.PTEID_Exception.swigCMemOwn`[protected]`

Referenced by be.portugal.eid.PTEID_Exception.PTEID_Exception(), be.portugal.eid.PTEID_ExUserMustAnswer.delete(), be.portugal.eid.PTEID_ExUnknown.delete(), be.portugal.eid.PTEID_ExReleaseNeeded.delete(), be.portugal.eid.PTEID_ExReaderSetChanged.delete(), be.portugal.eid.PTEID_ExParamRange.delete(), be.portugal.eid.PTEID_ExNotAllowByUser.delete(), be.portugal.eid.PTEID_ExNoReader.delete(), be.portugal.eid.PTEID_ExNoCardPresent.delete(), be.portugal.eid.PTEID_ExFileTypeUnknown.delete(), be.portugal.eid.PTEID_ExDocTypeUnknown.delete(), be.portugal.eid.PTEID_ExCmdNotSupported.delete(), be.portugal.eid.PTEID_ExCmdNotAllowed.delete(), be.portugal.eid.PTEID_ExCertNoRoot.delete(), be.portugal.eid.PTEID_ExCertNoOcsp.delete(), be.portugal.eid.PTEID_ExCertNoIssuer.delete(), be.portugal.eid.PTEID_ExCertNoCrl.delete(), be.portugal.eid.PTEID_Exception.delete(), be.portugal.eid.PTEID_ExCardTypeUnknown.delete(), be.portugal.eid.PTEID_ExCardChanged.delete(), be.portugal.eid.PTEID_ExCardBadType.delete(), be.portugal.eid.PTEID_ExBadUsage.delete(), and be.portugal.eid.PTEID_ExBadTransaction.delete().